% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/deprecated.R
\docType{data}
\name{ggdist-deprecated}
\alias{ggdist-deprecated}
\alias{StatSampleSlabinterval}
\alias{stat_sample_slabinterval}
\alias{StatDistSlabinterval}
\alias{stat_dist_slabinterval}
\alias{stat_dist_halfeye}
\alias{stat_dist_eye}
\alias{stat_dist_ccdfinterval}
\alias{stat_dist_cdfinterval}
\alias{stat_dist_gradientinterval}
\alias{stat_dist_slab}
\alias{stat_dist_pointinterval}
\alias{stat_dist_interval}
\alias{stat_dist_lineribbon}
\alias{stat_dist_dotsinterval}
\alias{stat_dist_dots}
\title{Deprecated functions and arguments in ggdist}
\description{
Deprecated functions and arguments and their alternatives are listed below.
}
\section{Deprecated stats and geoms}{


The \code{stat_sample_...} and \code{stat_dist_...} families of stats were merged in ggdist 3.1.
This means:
\itemize{
\item \code{stat_dist_...} is deprecated. For any code using \code{stat_dist_XXX()}, you should now
be able to use \code{stat_XXX()} instead without additional modifications in almost all cases.
\item \code{stat_sample_slabinterval()} is deprecated. You should be able to use
\code{\link[=stat_slabinterval]{stat_slabinterval()}} instead without additional modifications in almost all cases.
}

The old \code{stat_dist_...} names are currently kept as aliases, but may be removed in the future.
}

\section{Deprecated arguments}{


Parameters for \code{\link[=stat_slabinterval]{stat_slabinterval()}} and family deprecated as of ggdist 3.1 are:
\itemize{
\item The \code{.prob} argument, which is a long-deprecated alias for \code{.width}, was
removed in ggdist 3.1.
\item The \code{limits_function} argument: this was a parameter for determining the
function to compute limits of the slab in \code{\link[=stat_slabinterval]{stat_slabinterval()}} and its
derived stats. This function is really an internal function only needed by
subclasses of the base class, yet added a lot of noise to the documentation,
so it was replaced with \code{AbstractStatSlabInterval$compute_limits()}.
\item The \code{limits_args} argument: extra stat parameters are now passed through to
the \code{...} arguments to \code{AbstractStatSlabInterval$compute_limits()}; use
these instead.
\item The \code{slab_function} argument: this was a parameter for determining the
function to compute slabs in \code{\link[=stat_slabinterval]{stat_slabinterval()}} and its
derived stats. This function is really an internal function only needed by
subclasses of the base class, yet added a lot of noise to the documentation,
so it was replaced with \code{AbstractStatSlabInterval$compute_slab()}.
\item The \code{slab_args} argument: extra stat parameters are now passed through to
the \code{...} arguments to \code{AbstractStatSlabInterval$compute_slab()}; use
these instead.
\item The \code{interval_function} and \code{fun.data} arguments: these were parameters for determining the
function to compute intervals in \code{\link[=stat_slabinterval]{stat_slabinterval()}} and its
derived stats. This function is really an internal function only needed by
subclasses of the base class, yet added a lot of noise to the documentation,
so it was replaced with \code{AbstractStatSlabInterval$compute_interval()}.
\item The \code{interval_args} and \code{fun.args} arguments: to pass extra arguments to
a \code{point_interval} replace the value of the \code{point_interval} argument with
a simple wrapper; e.g. \verb{stat_halfeye(point_interval = \\(...) point_interval(..., extra_arg = XXX))}
}

Parameters for \code{\link[=geom_slabinterval]{geom_slabinterval()}} and family deprecated as of ggdist 3.1 are:
\itemize{
\item The \code{size_domain} and \code{size_range} arguments, which are long-deprecated aliases
for \code{interval_size_domain} and \code{interval_size_range}, were removed in ggdist 3.1.
}
}

\author{
Matthew Kay
}
\keyword{datasets}
